/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#include "debug.h"


Debug::eDebugLevel Debug::_max_level=Debug::level_info;

Debug cdebug(Debug::level_debug);
Debug cinfo(Debug::level_info);
Debug cwarning(Debug::level_warning);
Debug cerror(Debug::level_error);


ostream& operator<<(ostream& os, const Debug& s)
{
  return os;
}

