#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################


CC=gcc
C=gcc
AR=ar

ROOT=$(HOME)/devel/SubwayMap
SOURCE=$(ROOT)/src

# ------------------------------------
# Qt settings
# ------------------------------------
QTDIR=/opt/Qtopia
QTINC=-I$(QTDIR)/include
QTLIB=-L$(QTDIR)/lib


# ------------------------------------
# MPatrol settings
# ------------------------------------
#MPATROL=-DMPATROL=1
#MPINC=-I/usr/local/include
#MPLIB=-L/usr/local/lib/ -lmpatrolmt -lbfd -liberty

INCPATH=-I. -I../libsubwaymap $(QTINC) $(MPINC)
LIBPATH=-L. -L../libsubwaymap $(QTLIB) $(MPLIB)

DEBUG=-g $(MPATROL)
CCFLAGS=-c -Wall $(DEBUG)

LIBINSTALLDIR=$(ROOT)/linux_x86
INCINSTALLDIR=$(ROOT)/linux_x86

.SUFFIXES : .cpp .o .c .a

.cpp.o:
	$(CC) $(CCFLAGS) $(INCPATH) $<

.c.o:
	$(C) $(CCFLAGS) $(INCPATH) $<
