/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/


#include "AboutDialog.h"

#include <qstring.h>
#include <qlabel.h>

AboutDialog::AboutDialog(QWidget *parent)
  : AboutDialogBase(parent, "about", true, 0)
{
  _nameLabel->setText(QString(g_appInfo_Name));
  _versionLabel->setText(QString(g_appInfo_Version));
}

AboutDialog::~AboutDialog()
{
}
