/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __SMXMLWRITER_H__
#define __SMXMLWRITER_H__

#include "baseclasses.h"
#include "SMError.h"
#include <iostream.h>
#include <fstream.h>


class SMXMLWriter : public ofstream
{
 public:
  SMXMLWriter(const char *filename) : ofstream(filename) {
	*this<< "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>" << endl <<endl;
  }
 protected:

};

#endif
