/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __MAPINFODIALOG_H__
#define __MAPINFODIALOG_H__

#include "mapinfodialogbase.h"
#include "subwaymap/SubwayMap.h"

class MapInfoDialog : public MapInfoDialogBase
{
  Q_OBJECT;

 public:
  MapInfoDialog(QWidget *parent=NULL);
  ~MapInfoDialog();

  void load_subwayMap(SubwayMap *subwayMap);

 protected:
  SubwayMap *_subwayMap;
};
#endif
