/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __OPTIMEDIALOG_H__
#define __OPTIMEDIALOG_H__

#include "optimedialogbase.h"

class OpTimeDialog : public OpTimeDialogBase
{
  Q_OBJECT;
 public:
    OpTimeDialog( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
    ~OpTimeDialog();

	void set_dayAndTime(unsigned int newday, unsigned int newtime);
	void get_dayAndTime(unsigned int *pday, unsigned int *ptime);
	
	bool has_selected() { return _hasSelected; }


 protected:
 	bool _hasSelected;

 private slots:
 	void setTimeNow();
 	void hasSelected(int index);
};

#endif
