/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __OPENMAPDIALOG_H__
#define __OPENMAPDIALOG_H__

#include "openmapdialogbase.h"

class OpenMapDialog : public OpenMapDialogBase
{
  Q_OBJECT;
 public:
    OpenMapDialog( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
    ~OpenMapDialog();

	bool readDirectory(const QString& path);

    void set_itemtext(const QString &newText);
    QString& get_fileName();

 private slots:
   void changed(const QListBoxItem *newItem);

 protected:
 QString _fileNameText;

 private slots:
};

#endif
