/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __IMAGES_H__
#define __IMAGES_H__

// -----------------------------------------------------
// external definitions of pixmaps located in images.cpp
// -----------------------------------------------------

extern const char * go_xpm[];
extern const char * nav1_xpm[];
extern const char * nav2_xpm[];
extern const char * navigate_xpm[];
extern const char * return_xpm[];
extern const char * route_change_xpm[];
extern const char * route_end_xpm[];
extern const char * route_info_xpm[];
extern const char * route_start_xpm[];
extern const char * route_through_xpm[];
extern const char * route_passed_xpm[];
extern const char * route_feet_xpm[];
extern const char * u_windrose_xpm[];
extern const char* ulogo_xpm[];
extern const char* fileopen_xpm[];
extern const char * oneway_xpm[];
extern const char * twoway_xpm[];
extern const char * settime_xpm[];
extern const char * connections_xpm[];
#endif
