TEMPLATE    = app
CONFIG      = qt warn_on debug
#CONFIG     = qt warn_on release
HEADERS     = UBahnNavMain.h StationListDialog.h \
				OpenMapDialog.h \
				RouteListView.h \
				LineListDialog.h \
				AboutDialog.h \
				OpTimeDialog.h \
				MapInfoDialog.h \
				StationInfoDialog.h \
				LineInfoDialog.h \
				AltConnectionDialog.h \
  				SimpleConfig.h \
				UBahnDataFile.h \
				UBahnIconStore.h \
				XMLIconFileParser.h \
				images.h \
				ubahnnavdef.h

SOURCES     = main.cpp UBahnNavMain.cpp StationListDialog.cpp \
				OpenMapDialog.cpp \
				RouteListView.cpp \
				LineListDialog.cpp \
				MapInfoDialog.cpp \
				AboutDialog.cpp \
				OpTimeDialog.cpp \
				StationInfoDialog.cpp \
				LineInfoDialog.cpp \
				AltConnectionDialog.cpp \
				SimpleConfig.cpp \
				UBahnDataFile.cpp \
				UBahnIconStore.cpp \
				XMLIconFileParser.cpp \
				images.cpp

INCLUDEPATH += $(QPEDIR)/include ../../linux_x86/include
DEPENDPATH  += $(QPEDIR)/include ../../linux_x86/include
LIBPATH     += ../../linux_x86/lib
LIBS            += -L../../linux_x86/lib -lsubwaymap -lqpe -lpthread -ljpeg -lqtopia
INTERFACES  = openmapdialogbase.ui aboutdialogbase.ui mapinfodialogbase.ui optimedialogbase.ui stationinfodialogbase.ui lineinfodialogbase.ui linelistdialogbase.ui altconnectiondialogbase.ui
TARGET      = ubahnnav

