/*
#########################################################################
# Subway Map
# ----------
# Copyright (c) 2004 by Dimitri Brukakis
# All rights reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2 of the License, or (at your
# option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
#########################################################################
*/

#ifndef __UBAHNAVDEF_H__
#define __UBAHNAVDEF_H__


/*	==========================================
	Application information
	========================================== */

static const char *g_appInfo_Name="U-Bahn Navigator";
static const char *g_appInfo_ShortName="ubahnnav";

#ifndef UBAHNNAV_VERSION
static const char *g_appInfo_Version="V0.4.1";
#else
static const char *g_appInfo_Version=UBAHNNAV_VERSION;
#endif


/*	==========================================
	Application constants and defines
	========================================== */

#define UBAHNDIR	"/opt/QtPalmtop/ubahn"
#define UBAHNMAPS	UBAHNDIR "/maps"

static const char *g_appDef_UBahnNavDir=UBAHNDIR;
static const char *g_appDef_MapDir=UBAHNMAPS;

static const char *g_appDef_UserConfig=".ubahnnavrc";



#endif
